[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| HistogramOptions Class Reference |

Set histogram options. More...

`#include <vigra/histogram.hxx>`

## Public Member Functions

HistogramOptions & | globalAutoInit ()
| HistogramOptions ()
HistogramOptions & | regionAutoInit ()
HistogramOptions & | setBinCount (int c)
HistogramOptions & | setMinMax (double mi, double ma)
bool | validMinMax () const

## Public Attributes

int | binCount
| Total number of bins in the histogram.
bool | local_auto_init
| If true, range mapping bounds are defined by minimum and maximum of the data.
double | maximum
| Upper bound for linear range mapping from values to indices.
double | minimum
| Lower bound for linear range mapping from values to indices.

## Detailed Description

Set histogram options.

HistogramOptions objects are used to pass histogram options to other objects. This example shows how it is is used to pass histogram options to an accumulator chain.

## Constructor & Destructor Documentation

## ◆ HistogramOptions()

HistogramOptions | ( |  | ) |

Initialize members with default values:

- minimum, maximum = 0.0
- binCount = 64
- local_auto_init = false

## Member Function Documentation

## ◆ setMinMax()

HistogramOptions& setMinMax | ( | double | mi,
|  | double | ma
| ) |  |

Set minimum = mi and maximum = ma. Requirement: mi < ma.

## ◆ setBinCount()

HistogramOptions& setBinCount | ( | int | c | ) |

Set binCount = c. Requirement: c > 0.

## ◆ regionAutoInit()

HistogramOptions& regionAutoInit | ( |  | ) |

Set local_auto_init = true. Requirement: setMinMax() must not have been called before.

## ◆ globalAutoInit()

HistogramOptions& globalAutoInit | ( |  | ) |

Set local_auto_init = false. Requirement: setMinMax() must not have been called before.

## ◆ validMinMax()

bool validMinMax | ( |  | ) | const

Return minimum < maximum.

The documentation for this class was generated from the following file:

- vigra/histogram.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1